#ifndef XLRULOGFILE_H
#define XLRULOGFILE_H

#include <QString>
#include <QList>
#include <QDateTime>
#include <QFileInfo>
#include <QTextStream>



class XlruLogClass
{
public:
    XlruLogClass();
    ~XlruLogClass();

    //create a new report file with a new header
    QString generateNewFile(QString _header);

    //save string into file
    bool saveString(QString _value);

    //close file
    bool closeFile();

protected:
    //complete file path for report file
    QString file_path;

    //file name for report file
    QString file_name;

    //generate new name file from DateTime
    QString newNameFile(QString _header);

    //file report
    QFile file;

};

#endif // XLRULOGFILE_H
